# std::numeric_limits< float > Struct Template Reference

List of all members.

## Detailed Description

### template<>
struct std::numeric_limits< float >

Definition at line 982 of file limits.

## Static Public Member Functions

- static float denorm_min () throw ()
- static float epsilon () throw ()
- static float infinity () throw ()
- static float max () throw ()
- static float min () throw ()
- static float quiet_NaN () throw ()
- static float round_error () throw ()
- static float signaling_NaN () throw ()

## Static Public Attributes

- static const int digits
- static const int digits10
- static const float_denorm_style has_denorm
- static const bool has_denorm_loss
- static const bool has_infinity
- static const bool has_quiet_NaN
- static const bool has_signaling_NaN
- static const bool is_bounded
- static const bool is_exact
- static const bool is_iec559
- static const bool is_integer
- static const bool is_modulo
- static const bool is_signed
- static const bool is_specialized
- static const int max_exponent
- static const int max_exponent10
- static const int min_exponent
- static const int min_exponent10
- static const int radix
- static const float_round_style round_style
- static const bool tinyness_before
- static const bool traps

The documentation for this struct was generated from the following file:

- limits